Skip to main content
DELETE
/
notifications
/
v1
/
preferences
Reset Preferences
curl --request DELETE \
  --url https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences \
  --header 'apikey: <api-key>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences"

headers = {"apikey": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "groupPreferences": {
      "groupMessages": 2,
      "groupReplies": 2,
      "groupQuotedReplies": 2,
      "groupReactions": 2,
      "groupMemberLeft": 1,
      "groupMemberAdded": 1,
      "groupMemberJoined": 1,
      "groupMemberKicked": 1,
      "groupMemberBanned": 1,
      "groupMemberUnbanned": 1,
      "groupMemberScopeChanged": 1
    },
    "oneOnOnePreferences": {
      "oneOnOneMessages": 2,
      "oneOnOneReplies": 2,
      "oneOnOneQuotedReplies": 2,
      "oneOnOneReactions": 2
    },
    "mutePreferences": {
      "dnd": 1,
      "schedule": {
        "sunday": {
          "from": 0,
          "to": 2359,
          "dnd": false
        },
        "monday": {
          "from": 0,
          "to": 2359,
          "dnd": false
        },
        "tuesday": {
          "from": 0,
          "to": 2359,
          "dnd": false
        },
        "wednesday": {
          "from": 0,
          "to": 2359,
          "dnd": false
        },
        "thursday": {
          "from": 0,
          "to": 2359,
          "dnd": false
        },
        "friday": {
          "from": 0,
          "to": 2359,
          "dnd": false
        },
        "saturday": {
          "from": 0,
          "to": 2359,
          "dnd": false
        }
      }
    },
    "usePrivacyTemplate": true
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

uid
string
required

(Required) UID

Response

200 - application/json

A list of push notification's settings

data
any[]
meta
object